%define origname RMagick

Name: ruby-rmagick
Version: 1.9.2
Release: alt1

Summary: ImageMagick for Ruby
License: Artistic
Group: Development/Ruby

Url: http://rmagick.rubyforge.org
Source: %origname-%version.tar.bz2
Patch: RMagick-1.5.0.1-fix-im602+build.patch

Packager: Michael Shigorin <mike@altlinux.ru>

# Automatically added by buildreq on Tue Feb 03 2004
BuildRequires: ImageMagick XFree86-devel XFree86-libs bzlib-devel freetype2-devel hostinfo libImageMagick-devel libexif-devel liblcms-devel libruby-devel ruby-stdlibs urw-fonts zlib-devel

BuildRequires: libImageMagick-devel >= 5.5.1
BuildRequires: libtiff-devel libjpeg-devel
BuildRequires: ruby

%description
ImageMagick for Ruby

%package doc
Summary: ImageMagick for Ruby - docs
Group: Development/Ruby

%description doc
ImageMagick for Ruby documentation

%prep
%setup -q -n %origname-%version
#patch -p1

%build
export RUBY=%_bindir/ruby
unset CC CXX
%configure \
	--enable-shared \
	--disable-static
	
ruby -rvendor-specific install.rb config \
	--doc-dir=%buildroot%_docdir \
	--rb-dir=%buildroot%ruby_sitelibdir \
	--so-dir=%buildroot%ruby_sitearchdir
ruby -rvendor-specific install.rb setup 

%install
ruby install.rb install
%__mkdir_p %buildroot%_docdir/%name-%version/
%__cp -a ChangeLog README* doc/* \
	%buildroot%_docdir/%name-%version/

%files
%_docdir/%name-%version/ChangeLog
%_docdir/%name-%version/README*
%ruby_sitearchdir/*
%ruby_sitelibdir/*

%files doc
%dir %_docdir/%name-%version/
%_docdir/%name-%version/[^CR]*

%changelog
* Fri Sep 16 2005 Michael Shigorin <mike@altlinux.org> 1.9.2-alt1
- 1.9.2

* Fri May 27 2005 Michael Shigorin <mike@altlinux.ru> 1.8.1-alt1
- 1.8.1

* Wed Feb 23 2005 Michael Shigorin <mike@altlinux.ru> 1.7.2-alt1
- 1.7.2

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.5.0-alt2.1
- Rebuilt with libtiff.so.4.

* Sun Jul 18 2004 Michael Shigorin <mike@altlinux.ru> 1.5.0-alt2
- built against IM 6.0.2
- adapted patch from 
  http://rubyforge.org/tracker/index.php?func=detail&aid=624&group_id=12&atid=133

* Fri Apr 23 2004 Michael Shigorin <mike@altlinux.ru> 1.5.0-alt1
- 1.5.0

* Wed Mar 10 2004 Michael Shigorin <mike@altlinux.ru> 1.4.0-alt1
- 1.4.0
- updated Url:, thanks to the author

* Wed Feb 04 2004 Michael Shigorin <mike@altlinux.ru> 1.3.2-alt1
- 1.3.2
- removed somewhat largish docs to subpackage

* Thu Sep 25 2003 Michael Shigorin <mike@altlinux.ru> 1.3.0-alt1
- built for ALT Linux

